class UDBoostCharge extends TournamentPickUp;

#exec OBJ LOAD FILE=UDStatics.usx

var() int boostIncrease;

auto state Pickup
{
    function Touch( actor Other )
    {
        local UDVech U;

        U = UDVech(Other);
        if (U != None && U.BoostAmt < U.BoostMax)
        {
                    U.addPSI(boostIncrease);
                    AnnouncePickup(U);
                    SetRespawn();
                }
    }
}

defaultproperties
{
     boostIncrease=20
     RespawnTime=30.000000
     PickupMessage="You picked up a PSI Boost."
     PickupSound=Sound'WeaponSounds.LightningGun.LightningGunChargeUp'
     DrawType=DT_StaticMesh
     StaticMesh=StaticMesh'UDStatics.PowerUpTank'
     Physics=PHYS_Rotating
     Texture=Texture'UDTextures.PowerUpTank'
     DrawScale=1.800000
}
