class UDCriticalEvent extends CriticalEventPlus;

var string Teams[2];
var array<string> Strings;

static function string GetString(
    optional int Switch,
    optional PlayerReplicationInfo RelatedPRI_1,
    optional PlayerReplicationInfo RelatedPRI_2,
    optional Object OptionalObject
    )
{
    Default.DrawColor = Class'HUD'.Default.GoldColor;
    Switch(Switch)
    {
        Case 0: if (RelatedPRI_1 != None)
            {
                if (RelatedPRI_1.Team.TeamIndex == 0)
                    Default.DrawColor = Class'HUD'.Default.RedColor;
                else
                    Default.DrawColor = Class'HUD'.Default.BlueColor;
                return RelatedPRI_1.PlayerName@default.Strings[0]@default.Teams[RelatedPRI_1.Team.TeamIndex]$"!!!";
            }
            break;
        case 1: if (RelatedPRI_1 != None)
            {
                if (RelatedPRI_1.Team.TeamIndex != 0)
                    Default.DrawColor = Class'HUD'.Default.RedColor;
                else
                    Default.DrawColor = Class'HUD'.Default.BlueColor;
                return RelatedPRI_1.PlayerName@default.Strings[1]@default.Teams[1-RelatedPRI_1.Team.TeamIndex]$"!!!";
            }
            break;
        case 2:
             return default.Strings[2];
        break;

        case 3:
        case 4:
        case 5:
        case 6:
             return default.Strings[Switch];
        break;
    }
    return "";
}

defaultproperties
{
     Teams(0)="Red Team"
     Teams(1)="Blue Team"
     Strings(0)="scores for"
     Strings(1)="scored own goal for"
     Strings(2)="Ball Reset!"
     Strings(3)="5"
     Strings(4)="3"
     Strings(5)="2"
     Strings(6)="1"
     Lifetime=1
     StackMode=SM_Down
     PosY=0.120000
     FontSize=0
}
