class UDHUDDemoBall extends UDHUDTeam
    config(User);

struct FBombWidget
{
    var EFlagState BombState;
    var SpriteWidget Widgets[4];
};

var() SpriteWidget BombBG;
var() FBombWidget BombWidget;

var transient UDBall DemoBall;

simulated function ShowTeamScorePassA(Canvas C)
{
    local vector Pos;

    Super.ShowTeamScorePassA(C);

    DrawSpriteWidget (C, BombBG);
    DrawSpriteWidget (C, BombWidget.Widgets[0]);

    if ( DemoBall == None )
        ForEach DynamicActors(Class'UDBall', DemoBall)
            break;

    if ( DemoBall != None )
        Pos = DemoBall.Location;

    C.DrawColor = HudColorHighLight;
    Draw2DLocationDot(C, Pos, 0.5 - 0.0075*HUDScale, 0.03*HUDScale, 0.027*HUDScale, 0.035*HUDScale);
}

defaultproperties
{
     BombBG=(WidgetTexture=Texture'HUDContent.Generic.HUD',RenderStyle=STY_Alpha,TextureCoords=(X1=119,Y1=258,X2=173,Y2=313),TextureScale=0.700000,DrawPivot=DP_UpperMiddle,PosX=0.500000,ScaleMode=SM_Right,Scale=1.000000,Tints[0]=(B=255,G=255,R=255,A=255),Tints[1]=(B=255,G=255,R=255,A=255))
     BombWidget=(Widgets[0]=(WidgetTexture=Texture'HUDContent.Generic.HUD',RenderStyle=STY_Alpha,TextureCoords=(X1=79,Y1=223,X2=116,Y2=264),TextureScale=0.700000,DrawPivot=DP_UpperMiddle,PosX=0.500000,OffsetY=5,Scale=1.000000,Tints[0]=(B=255,G=255,R=255,A=100),Tints[1]=(B=255,G=255,R=255,A=100)),Widgets[1]=(WidgetTexture=Texture'HUDContent.Generic.HUD',RenderStyle=STY_Alpha,TextureCoords=(X1=79,Y1=223,X2=116,Y2=264),TextureScale=0.700000,DrawPivot=DP_UpperMiddle,PosX=0.500000,OffsetY=10,Scale=1.000000,Tints[0]=(R=200,A=255),Tints[1]=(B=200,G=64,R=50,A=255)),Widgets[2]=(WidgetTexture=FinalBlend'HUDContent.Generic.fbHUDAlertSlow',RenderStyle=STY_Alpha,TextureCoords=(X1=79,Y1=223,X2=116,Y2=264),TextureScale=0.700000,DrawPivot=DP_UpperMiddle,PosX=0.500000,OffsetY=10,Scale=1.000000,Tints[0]=(B=200,G=64,R=50,A=255),Tints[1]=(R=200,A=255)),Widgets[3]=(WidgetTexture=FinalBlend'HUDContent.Generic.fbHUDAlertSlow',RenderStyle=STY_Alpha,TextureCoords=(X1=79,Y1=223,X2=116,Y2=264),TextureScale=0.700000,DrawPivot=DP_UpperMiddle,PosX=0.500000,OffsetY=10,Scale=1.000000,Tints[0]=(B=255,G=255,R=255,A=255),Tints[1]=(B=255,G=255,R=255,A=255)))
     LocationDot=FinalBlend'HUDContent.Generic.HUDPulse'
}
