class UDStuntMessage extends LocalMessage;

#exec OBJ LOAD FILE="..\Sounds\announcermale2k4.uax"
#exec OBJ LOAD FILE="..\Sounds\ONSVehicleSounds-S.uax"

var		localized String	StuntInfoString1;
var		localized String	StuntInfoString2;
var		localized String	StuntInfoString3;
var		localized String	StuntInfoString4;
var		localized String	StuntInfoString5;
var		localized String	StuntInfoString6;
var		localized String	StuntInfoString7;
var		localized String	StuntInfoString8;
var		localized String	StuntInfoString9;
var		localized String	StuntInfoString10;
var		localized String	StuntInfoString11;
var		localized String	StuntInfoString12;

var		sound				CheerSound;
var		int					CheerPointThresh;

static function string GetString(
								 optional int SwitchNum,
								 optional PlayerReplicationInfo RelatedPRI_1,
								 optional PlayerReplicationInfo RelatedPRI_2,
								 optional Object OptionalObject
								 )
{
	local ONSWheeledCraft Car;
	local float InAirSpinPositive;
        local float InAirRollPositive;
        local float InAirPitchPositive;


	Car = ONSWheeledCraft(OptionalObject);

	if(Car.InAirSpin < 0.00000000)
	       InAirSpinPositive=-1*Car.InAirSpin;
	else
	       InAirSpinPositive=Car.InAirSpin;

	if(Car.InAirPitch < 0.00000000)
	        InAirPitchPositive=-1*Car.InAirPitch;
	else
	        InAirPitchPositive=Car.InAirPitch;

	if(Car.InAirRoll < 0.00000000)
	        InAirRollPositive=-1*Car.InAirRoll;
	else
	        InAirRollPositive=Car.InAirRoll;

	if(SwitchNum == 0)
		return Default.StuntInfoString1$Default.StuntInfoString2$Car.InAirDistance$Default.StuntInfoString3;
	else if(SwitchNum == 1)
		return Default.StuntInfoString4$InAirSpinPositive$Default.StuntInfoString5$InAirPitchPositive$Default.StuntInfoString6$InAirRollPositive$Default.StuntInfoString7$Car.InAirTime$Default.StuntInfoString8;
        else if(SwitchNum == 2)
		return Default.StuntInfoString9$Default.StuntInfoString2$Car.InAirDistance$Default.StuntInfoString3;
        else if(SwitchNum == 3)
		return Default.StuntInfoString10$Default.StuntInfoString2$Car.InAirDistance$Default.StuntInfoString3;
        else if(SwitchNum == 4)
		return Default.StuntInfoString11$Default.StuntInfoString2$Car.InAirDistance$Default.StuntInfoString3;
        else if(SwitchNum == 5)
		return Default.StuntInfoString12$Default.StuntInfoString2$Car.InAirDistance$Default.StuntInfoString3;

}

static simulated function ClientReceive(
										PlayerController P,
										optional int SwitchNum,
										optional PlayerReplicationInfo RelatedPRI_1,
										optional PlayerReplicationInfo RelatedPRI_2,
										optional Object OptionalObject
										)
{
	local ONSWheeledCraft Car;

	Super.ClientReceive(P, SwitchNum, RelatedPRI_1, RelatedPRI_2, OptionalObject);

	if(SwitchNum == 0)
	{
		//P.PlayRewardAnnouncement('DareDevil', 1, true);

		// If we got enough points - add a cheer as well!
		Car = ONSWheeledCraft(OptionalObject);

	//	if(Car.DaredevilPoints >= Default.CheerPointThresh)
		//	P.ClientPlaySound(Default.CheerSound);
	}
}

defaultproperties
{
     StuntInfoString1="Level One Stunt "
     StuntInfoString2=", "
     StuntInfoString3="m"
     StuntInfoString4="Spin: "
     StuntInfoString5=", Flip: "
     StuntInfoString6=", Roll: "
     StuntInfoString7=", "
     StuntInfoString8=" secs"
     StuntInfoString9="Level Two Stunt "
     StuntInfoString10="Level Three Stunt "
     StuntInfoString11="Level Four Stunt "
     StuntInfoString12="Level Five Stunt "
     CheerSound=Sound'ONSVehicleSounds-S.Misc.crowd_cheer'
     CheerPointThresh=20
     bFadeMessage=True
     Lifetime=9
     DrawColor=(B=128,G=0,R=53)
     StackMode=SM_Down
     PosY=0.700000
}

