class UDHealthPickup extends TournamentPickUp;

#exec OBJ LOAD FILE=UDStatics.usx

var() int healthIncrease;

auto state Pickup
{
    function Touch( actor Other )
    {
        local UDVech U;

        U = UDVech(Other);
        if (U != None && U.Health < U.HealthMax)
        {
            U.addHealth(healthIncrease);
            AnnouncePickup(U);
            SetRespawn();
        }
    }
}

defaultproperties
{
     healthIncrease=800
     RespawnTime=30.000000
     PickupMessage="You picked up a Health Pack."
     PickupSound=Sound'VMGeneralSounds-S.Spider.SpiderDrill'
     DrawType=DT_StaticMesh
     StaticMesh=StaticMesh'UDStatics.healthPickup'
     Physics=PHYS_Rotating
     Texture=Texture'UDTextures.wrench_1'
     DrawScale=6.000000
}
